"""
Helper functions for the Jordan & Vajen DHW method.

This package contains helper functions for the Jordan & Vajen DHW method,
organized into logical modules:
- activity.py: Functions for handling activity data
- calculation.py: Core calculation functions
- temperature.py: Functions for water temperature handling
- utils.py: General utility functions
"""

# Import all helper functions to make them available from the package
from entise.methods.dhw.jordanvajen.activity import *
from entise.methods.dhw.jordanvajen.calculation import *
from entise.methods.dhw.jordanvajen.temperature import *
from entise.methods.dhw.jordanvajen.utils import *